CUDA_EXTERNAL_SEMAPHORE_HANDLE_DESC(3)

NAME
CUDA_EXTERNAL_SEMAPHORE_HANDLE_DESC -

SYNOPSIS

  Data Fields

CUexternalSemaphoreHandleType type
int fd
void * handle
struct {
void * handle
} win32

Detailed Description

External semaphore handle descriptor

Field Documentation

  int CUDA_EXTERNAL_SEMAPHORE_HANDLE_DESC::fd

File descriptor referencing the semaphore object. Valid when type is CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_OPAQUE_FD

  void* CUDA_EXTERNAL_SEMAPHORE_HANDLE_DESC::handle

Valid NT handle. Must be NULL if 'name' is non-NULL

  CUexternalSemaphoreHandleType CUDA_EXTERNAL_SEMAPHORE_HANDLE_DESC::type

Type of the handle

  struct { ... } CUDA_EXTERNAL_SEMAPHORE_HANDLE_DESC::win32

Win32 handle referencing the semaphore object. Valid when type is one of the following:

•   CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_OPAQUE_WIN32

•   CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_OPAQUE_WIN32_KMT

•   CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_D3D12_FENCE Exactly one of 'handle' and 'name' must be non-NULL. If type is CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_OPAQUE_WIN32_KMT then 'name' must be NULL.

Author

Generated automatically by Doxygen from the source code.